# Flipkart Product API

You have to send a GET request to **`https://api.scrapingdog.com/flipkart/product`** with the below given parameters.

### Parameters

#### Scrapingdog Parameters

| Parameter                                                       | Description                                                                                                                                                                  |
| --------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> | <p>Your personal API key. Available on your dashboard <br><br>Type: <em><strong>String</strong></em></p>                                                                     |
| html                                                            | <p>This will return the full HTML of the Flipkart page. <br><br>Default Value - <strong><code>false</code></strong> <br><br>Type - <strong><code>Boolean</code></strong></p> |

#### Search Query

| Parameter                                                     | Description                                                                                                            |
| ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| <p>url<br></p><p><mark style="color:red;">required</mark></p> | <p>URL of the Flipkart Product Page. <br><br>Type - <em><strong>String</strong></em></p><h4 id="api-example"><br></h4> |

### API Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl "https://api.scrapingdog.com/flipkart/product?api_key=APIKEY&url=https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.scrapingdog.com/flipkart/product"
params = {
    "api_key": "APIKEY",
    "url": "https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864",
}

response = requests.get(url, params=params)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Request failed with status code {response.status_code}")

```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

const url = 'https://api.scrapingdog.com/flipkart/product';
const params = {
  api_key: 'APIKEY',
  url: 'https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864'
};

axios
  .get(url, { params })
  .then((response) => {
    if (response.status === 200) {
      const data = response.data;
      console.log(data);
    } else {
      console.log(`Request failed with status code ${response.status}`);
    }
  })
  .catch((error) => {
    console.error('Request failed with an error:', error);
  });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$apiUrl = 'https://api.scrapingdog.com/flipkart/product';
$apiKey = 'APIKEY';
$url = 'https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864';

$queryString = http_build_query([
    'api_key' => $apiKey,
    'url' => $url
]);

$fullUrl = $apiUrl . '?' . $queryString;

$ch = curl_init($fullUrl);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

if ($httpCode == 200) {
    $data = json_decode($response, true);
    print_r($data);
} else {
    echo "Request failed with status code $httpCode\n";
}

curl_close($ch);
?>

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'

api_url = 'https://api.scrapingdog.com/flipkart/product'
api_key = 'APIKEY'
url = 'https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864'

params = {
  'api_key' => api_key,
  'url' => url
}

uri = URI(api_url)
uri.query = URI.encode_www_form(params)

response = Net::HTTP.get_response(uri)

if response.is_a?(Net::HTTPSuccess)
  data = JSON.parse(response.body)
  puts data
else
  puts "Request failed with status code #{response.code}"
end

```

{% endtab %}

{% tab title="Java" %}

```java
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Main {
    public static void main(String[] args) {
        String apiURL = "https://api.scrapingdog.com/flipkart/product";
        String apiKey = "APIKEY";
        String url = "https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864";

        try {
            // Create the URL with query parameters
            URL url = new URL(apiURL + "?api_key=" + apiKey + "&url=" + url);
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();

            // Set the request method to GET
            connection.setRequestMethod("GET");

            // Get the response code
            int responseCode = connection.getResponseCode();

            if (responseCode == 200) {
                // Read the response data
                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                String line;
                StringBuilder response = new StringBuilder();

                while ((line = reader.readLine()) != null) {
                    response.append(line);
                }
                reader.close();

                // Print the response data
                System.out.println(response.toString());
            } else {
                System.out.println("Request failed with response code: " + responseCode);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

```

{% endtab %}
{% endtabs %}

### API Response

```json
{
    "product_results": {
        "title": "Samsung Essential Series S3 55.88 cm (22 inch) Full HD LED Backlit IPS Panel with D-Sub, HDMI Flat Monitor (LS22D300GAWXXL)  (Response Time: 5 ms, 100 Hz Refresh Rate)",
        "brand": "Samsung Monitors",
        "brand_url": "https://www.flipkart.com/computers/computer-components/monitors-accessories/monitors/samsung~brand/pr?sid=6bo,g0i,unb,pp8&marketplace=FLIPKART&otracker=product_breadCrumbs_Samsung+Monitors",
        "description": "This Samsung Essential Series monitor offers a swift 5 ms response time for blur-free visuals, a full HD display, and sustainable technology that elevates entertainment and work with maximum clarity. It even has exceptional colours due to its IPS Panel. Through this feature, the tones and shades appear clearly throughout with minimal colour washing. Additionally, this monitor has a refresh rate of 100 Hz, reducing blurs and lags. It also offers Game Mode with optimised game settings, less flickering, Eye Saver Mode, and seamless connectivity.",
        "price": "₹6,799",
        "previous_price": "₹13,700",
        "discount": "50% off",
        "display_sizes": [
            {
                "size": "22 inch",
                "url": "https://www.flipkart.com/samsung-essential-series-s3-55-88-cm-22-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls22d300gawxxl/p/itm909c8202e1864?pid=MONH7GHGSGF3AGM9&lid=LSTMONH7GHGSGF3AGM9N3DVIC&marketplace=FLIPKART&sattr[]=display_size&st=display_size",
                "selected": true
            },
            {
                "size": "23.77953 inch",
                "url": "https://www.flipkart.com/samsung-essential-series-s3-60-4-cm-24-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls24d300gawxxl/p/itm909c8202e1864?pid=MONH7GHGBNZXPWHQ&lid=LSTMONH7GHGBNZXPWHQHFG6P5&marketplace=FLIPKART&sattr[]=display_size&st=display_size",
                "selected": false
            },
            {
                "size": "27.008 inch",
                "url": "https://www.flipkart.com/samsung-essential-series-s3-68-6-cm-27-inch-full-hd-led-backlit-ips-panel-d-sub-hdmi-flat-monitor-ls27d300gawxxl/p/itm909c8202e1864?pid=MONH7GHGSGH2HURJ&lid=LSTMONH7GHGSGH2HURJQVWCCP&marketplace=FLIPKART&sattr[]=display_size&st=display_size",
                "selected": false
            }
        ],
        "delivery": {
            "date": "13 Nov, Thursday",
            "condition": "if ordered before 9:42 PM"
        },
        "payment_options": [
            "No cost EMI starting from ₹567/month",
            "Cash on Delivery",
            "Net banking & Credit/ Debit/ ATM card"
        ],
        "seller": {
            "name": "SVPeripherals",
            "rating": "4.5",
            "services": [
                "7 Days Brand Support",
                "GST invoice available"
            ]
        },
        "ratings_reviews": {
            "rating": "4.4",
            "ratings_count": "2,192",
            "reviews_count": "217"
        },
        "coupons": [
            {
                "type": "Bank Offer",
                "offer": "10% instant discount on SBI Credit Card EMI Transactions, up to ₹1,500 on orders of ₹5,000 and above"
            },
            {
                "type": "Bank Offer",
                "offer": "5% cashback on Axis Bank Flipkart Debit Card up to ₹750"
            },
            {
                "type": "Bank Offer",
                "offer": "5% cashback on Flipkart SBI Credit Card upto ₹4,000 per calendar quarter"
            },
            {
                "type": "Special Price",
                "offer": "Get extra 50% off"
            }
        ],
        "highlights": [
            "Panel Type: IPS Panel",
            "Screen Resolution Type: Full HD",
            "Brightness: 250 nits",
            "Response Time: 5 ms | Refresh Rate: 100 Hz",
            "HDMI Ports - 1"
        ],
        "specifications": {
            "General": {
                "Brand": "Samsung",
                "Model Name": "LS22D300GAWXXL",
                "Series": "Essential Series S3",
                "Color": "Black",
                "Display": "55.88 cm (22 inch) LED Display",
                "Backlight": "LED Backlit Backlight",
                "Panel Type": "IPS Panel",
                "Resolution": "1920 x 1080 pixels",
                "Screen Resolution Type": "Full HD",
                "Sales Package": "1 Unit Monitor, Power Cable, HDMI Cable, User Manual, Warranty Card",
                "Screen Form Factor": "Flat",
                "Model Year": "2024",
                "HD / Full HD": "Full HD",
                "Suitable For": "Home and Office"
            },
            "Connectivity": {
                "HDMI": "Yes, 1 x HDMI 1.4 Port"
            },
            "Dimensions": {
                "Adjustable Height": "Yes"
            },
            "Warranty": {
                "Warranty Summary": "3 Years Domestic Warranty on the Product",
                "Covered in Warranty": "Manufacturing Defects Only",
                "Not Covered in Warranty": "Physical Damages"
            },
            "Display Features": {
                "HD Standard": "1080p",
                "Number of Colors": "16.7 m Colors",
                "Maximum Refresh Rate": "100 Hz (Analog), 100 Hz (Digital)",
                "Aspect Ratio": "16:09",
                "Contrast Ratio": "1000:1",
                "Response Time": "5 ms",
                "Brightness": "250 nits (2D)",
                "Color Gamut": "NTSC, 72%"
            }
        },
        "main_image": "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/b/x/x/-original-imah7rn68zxjzbqx.jpeg?q=90&crop=false",
        "images": [
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/b/x/x/-original-imah7rn68zxjzbqx.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/3/t/4/-original-imah7rn67aqjappf.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/4/9/c/-original-imah7rn6ezjxkpza.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/2/y/i/-original-imah7rn6esbgvnnb.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/f/8/j/-original-imah7rn62yy76nnn.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/b/l/c/-original-imah7rn6dznwxqv5.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/o/m/o/-original-imah7rn6hw9uwywh.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/v/z/y/-original-imah7rn6hhvmug9r.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/9/x/t/-original-imah7rn6hfgscbhw.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/i/y/8/-original-imah7rn6hzsbythx.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/e/f/t/-original-imah7rn6y7vffwyt.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/j/r/x/-original-imah7rn6qzgzv7yv.jpeg?q=90&crop=false",
            "https://rukminim2.flixcart.com/image/832/832/xif0q/monitor/p/9/y/-original-imah7rn6jzhaw6v7.jpeg?q=90&crop=false"
        ],
        "product_details": [
            {
                "title": "High Productivity and Comfort",
                "description": "This monitor has a full HD display, a smooth 5 ms response time for lag-free visuals, and eco-friendly technology, enhancing work or entertainment with excellent clarity and efficiency.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/c1c79f73916b46a8ae8b321250d69201_193f30272cc_1.jpg.jpeg?q=90"
            },
            {
                "title": "IPS Panel",
                "description": "Get stunning colours across the entire display via the IPS Panel. Due to this feature, the colours remain bright and clear throughout. Moreover, the tones and shades are represented consistently with less colour washing.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/57e12e3a22c747b69c2528168066d9db_193f3029600_2.jpg.jpeg?q=90"
            },
            {
                "title": "Refresh Rate",
                "description": "The 100 Hz refresh rate helps reduce lags and motion blur, helping you live the fast-paced moments seamlessly.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/10804904f8474fe48e64c97c91f34a34_193f302b916_3.jpg.jpeg?q=90"
            },
            {
                "title": "Game Mode",
                "description": "The Game Mode provides a competitive edge with optimised game settings. Here, the colour and image contrast can be conveniently adjusted to see scenes more clearly and identify enemies hiding in the dark, helping you see every little detail.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/8cd5a1d0ac104dc9b4caba2ead167fd7_193f302d6ea_4.jpg.jpeg?q=90"
            },
            {
                "title": "Less Screen Flickering and Eye Saver Mode",
                "description": "You can protect your vision and stay comfortable even during long sessions. This feature helps you stay focused on your work with less screen flicker and blue light.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/e7deac8ea290489ab665628948e05576_193f302f66c_5.jpg.jpeg?q=90"
            },
            {
                "title": "Sleek Design",
                "description": "With an ultra-thin design and sleek border bezels, this monitor beautifies any space with its modern aesthetics. It is also extremely lightweight and stylish.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/71fc578a85b34050aa8ed255e3a2e516_193f303142f_6.jpg.jpeg?q=90"
            },
            {
                "title": "Multiple connectivity",
                "description": "For increased flexibility, you can plug devices directly into your monitor and make your computing environment more convenient.",
                "image": "https://rukminim2.flixcart.com/image/200/200/cms-rpd-img/be7fc3b6a8f744afafd00b1cdf75ff67_193f3033319_7.jpg.jpeg?q=90"
            }
        ],
        "customer_reviews": [
            {
                "rating": "5",
                "title": "Classy product",
                "comment": "Good",
                "reviewer_name": "Sk md forid",
                "reviewer_location": "Kolkata",
                "date": "1 month ago",
                "helpful_count": "13",
                "images": []
            },
            {
                "rating": "5",
                "title": "Wonderful",
                "comment": "Picture quality - 10/10Build quality - 9/10Value for money product 🥰",
                "reviewer_name": "Shrinivas Amane",
                "reviewer_location": "Ichalkaranji",
                "date": "4 months ago",
                "helpful_count": "4",
                "images": [
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_6d6e28ead885425f9e18046c0ed6839a.jpg?q=90"
                ]
            },
            {
                "rating": "5",
                "title": "Simply awesome",
                "comment": "Nice and crisp picture quality. Perfect for day to day work, students, and as a external display. Very light weight",
                "reviewer_name": "Rishi Raj",
                "reviewer_location": "Bangalore Division",
                "date": "8 months ago",
                "helpful_count": "15",
                "images": []
            },
            {
                "rating": "4",
                "title": "Best in the market!",
                "comment": "Nice, don't think again go for it. 24 inch is perfect for working.The stand was not perfect, even tightened also it had loose.",
                "reviewer_name": "ROHITH P",
                "reviewer_location": "Bengaluru",
                "date": "6 months ago",
                "helpful_count": "7",
                "images": [
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_b5a4345f2864441c9675fa99a224e4e3.jpg?q=90"
                ]
            },
            {
                "rating": "4",
                "title": "Good choice",
                "comment": "Better than others",
                "reviewer_name": "Anmol Deep",
                "reviewer_location": "Sirsa",
                "date": "4 months ago",
                "helpful_count": "2",
                "images": []
            },
            {
                "rating": "4",
                "title": "Worth the money",
                "comment": "Good quality",
                "reviewer_name": "JITENDRA VAISHNAV",
                "reviewer_location": "Ujjain District",
                "date": "4 months ago",
                "helpful_count": "5",
                "images": [
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_24068fb71a4b499eb8ee938fdd2ac542.jpg?q=90"
                ]
            },
            {
                "rating": "5",
                "title": "Awesome",
                "comment": "Nice product",
                "reviewer_name": "Flipkart Customer",
                "reviewer_location": "Yarou Meitram",
                "date": "4 months ago",
                "helpful_count": "3",
                "images": [
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_dd558432b3fe4d3fa5b900b92edb60c0.jpeg?q=90",
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_0bf52db424f44e9a9574a82448351558.jpeg?q=90",
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_91551717df46443f96a38c59b2de216b.jpeg?q=90",
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_82bd1eb3924d4692ace6c79b56b48e32.jpeg?q=90"
                ]
            },
            {
                "rating": "5",
                "title": "Classy product",
                "comment": "Good Product",
                "reviewer_name": "Anjalu Owary",
                "reviewer_location": "Chirang District",
                "date": "3 months ago",
                "helpful_count": "10",
                "images": [
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_f01ae0f3cd7e4fe89ff94ad58327d950.jpg?q=90",
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_fb99cc63a02f4982bac681e6d7950062.jpg?q=90",
                    "https://rukminim1.flixcart.com/blobio/124/124/imr/blobio-imr_fccf4953ef8e4067942771d3cc4d45c7.jpg?q=90"
                ]
            },
            {
                "rating": "4",
                "title": "Good choice",
                "comment": "Nice product for normal use. Would have been great if there is a usb slot for webcam",
                "reviewer_name": "Mostafa  Kamal",
                "reviewer_location": "Bardhaman",
                "date": "5 months ago",
                "helpful_count": "3",
                "images": []
            },
            {
                "rating": "5",
                "title": "Highly recommended",
                "comment": "Good until now...its been a day and its running fine. The colours are vibrant and the 100hz refresh rate feels like 144 when I connect it to my laptop, my laptop is of 144 hz however I don't feel any difference in the refresh rate. overall its good, however there are very negligible backlight bleeding on top edge but that's not a big problem..",
                "reviewer_name": "Antik Adhya",
                "reviewer_location": "Kalyani",
                "date": "6 months ago",
                "helpful_count": "6",
                "images": []
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrapingdog.com/flipkart-scraper-api/flipkart-product-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
